Bug 70692 - user logins case insensitive
user logins case insensitive
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: passwd (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Mike McLean
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-03 23:50 EDT by Keith Mastin
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-18 17:27:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith Mastin 2002-08-03 23:50:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
I have strong passwords (uppercase & lowercase letters, characters and
numerals). I can login to the system using all lowercase letters, numerals and
characters. Characters remain case sensitive.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create user "newuser" with passwd "b9G$E&Z"
2.login runlevel 3 
3.enter "newuser" and passwd "b9g$e&z"
	

Actual Results:  login to bash shell

Expected Results:  should respawn login prompt with "Incorrect login" message

Additional info:
Comment 1 Alan Cox 2002-12-18 12:33:21 EST
Try as I can I cannot duplicate this
Comment 2 Mike McLean 2002-12-18 17:27:27 EST
Worksforme.

Note You need to log in before you can comment on or make changes to this bug.